*realformat "%10.3f"
*loop nodes
  node *NodesNum *NodesCoord
*end nodes

*Set elems(Linear)
*loop elems
*if(IsQuadratic)
  element *elemsnum -bar3  *elemsConec(1) *elemsConec(2) *elemsConec(3)
*else
  element *elemsnum -bar2  *elemsConec(1) *elemsConec(2)
*endif
*end elems             

*Set elems(Triangle)
*loop elems
*if(IsQuadratic)
  element *elemsnum -tria6  *elemsConec(1) *elemsConec(4) *elemsConec(2) *elemsConec(6) *elemsConec(5) *elemsConec(3)
*else
  element *elemsnum -tria3  *elemsConec(1) *elemsConec(2) *elemsConec(3)
*endif
*end elems             

*Set elems(Quadrilateral)
*loop elems
*if(IsQuadratic)
  element *elemsnum -quad9  *elemsConec(1) *elemsConec(5) *elemsConec(2) *elemsConec(8) *elemsConec(9) *elemsConec(6) *elemsConec(4) *elemsConec(7) *elemsConec(3)
*else
  element *elemsnum -quad4  *elemsConec(1) *elemsConec(2) *elemsConec(4) *elemsConec(3)
*endif
*end elems             

*Set elems(Tetrahedra)
*loop elems
*if(IsQuadratic)
*else
  element *elemsnum -tet4  *elemsConec(1) *elemsConec(2) *elemsConec(3) *elemsConec(4)
*endif
*end elems

*Set elems(Hexahedra)
*loop elems
*if(IsQuadratic)
  element *elemsnum -hex27  *elemsConec(5)  *elemsConec(13)  *elemsConec(1)  *elemsConec(20)  *elemsConec(25)  *elemsConec(12)  *elemsConec(8)  *elemsConec(16)  *elemsConec(4) *elemsConec(17) *elemsConec(22) *elemsConec(9) *elemsConec(26) *elemsConec(27) *elemsConec(21) *elemsConec(19) *elemsConec(24) *elemsConec(11) *elemsConec(6) *elemsConec(14) *elemsConec(2) *elemsConec(18) *elemsConec(23) *elemsConec(10) *elemsConec(7) *elemsConec(15) *elemsConec(3)
*else
  element *elemsnum -hex8  *elemsConec(1) *elemsConec(2) *elemsConec(4) *elemsConec(3) *elemsConec(5) *elemsConec(6) *elemsConec(8) *elemsConec(7)
*endif
*end elems

*loop materials
*Set var group=LoopVar
*if(strcmp(MatProp(1),"-")!=0)
group_type *group -*MatProp(1)
*endif
*end materials

*Set elems(All)
*loop elems
*Set var group=elemsmat
*if(group<0)
*Set var group=0
*endif
  element_group *elemsnum *group
*end elems             

*Set var ibounda=0
*Set Cond condif_temperature_unknown_over_points *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_unknown *ibounda *\
*NodesNum *\
-temp
bounda_time *ibounda *\
*if(cond(1,int)>=0)
*cond(1,real) *cond(2,real) *\
*endif
*if(cond(3,int)>=0)
*cond(3,real) *cond(4,real) *\
*endif
*if(cond(5,int)>=0)
*cond(5,real) *cond(6,real) *\
*endif
*if(cond(7,int)>=0)
*cond(7,real) *cond(8,real) *\
*endif
*if(cond(9,int)>=0)
*cond(9,real) *cond(10,real) *\
*endif

*end nodes
*endif
*Set Cond condif_temperature_force_over_points *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_force *ibounda *\
*NodesNum *\
-temp
bounda_time *ibounda *\
*if(cond(1,int)>=0)
*cond(1,real) *cond(2,real) *\
*endif
*if(cond(3,int)>=0)
*cond(3,real) *cond(4,real) *\
*endif
*if(cond(5,int)>=0)
*cond(5,real) *cond(6,real) *\
*endif
*if(cond(7,int)>=0)
*cond(7,real) *cond(8,real) *\
*endif
*if(cond(9,int)>=0)
*cond(9,real) *cond(10,real) *\
*endif

*end nodes
*endif
*Set Cond groundflow_pressure_unknown_over_points *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_unknown *ibounda *\
*NodesNum *\
-temp
bounda_time *ibounda *\
*if(cond(1,int)>=0)
*cond(1,real) *cond(2,real) *\
*endif
*if(cond(3,int)>=0)
*cond(3,real) *cond(4,real) *\
*endif
*if(cond(5,int)>=0)
*cond(5,real) *cond(6,real) *\
*endif
*if(cond(7,int)>=0)
*cond(7,real) *cond(8,real) *\
*endif
*if(cond(9,int)>=0)
*cond(9,real) *cond(10,real) *\
*endif

*end nodes
*endif
*Set Cond materi_velocity_unknown_over_points *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_unknown *ibounda *\
*NodesNum *\
*if(cond(1,int))
-velx
*endif
*if(cond(2,int))
-vely
*endif
*if(cond(3,int))
-velz
*endif
bounda_time *ibounda *\
*if(cond(4,int)>=0)
*cond(4,real) *cond(5,real) *\
*endif
*if(cond(6,int)>=0)
*cond(6,real) *cond(7,real) *\
*endif
*if(cond(8,int)>=0)
*cond(8,real) *cond(9,real) *\
*endif
*if(cond(10,int)>=0)
*cond(10,real) *cond(11,real) *\
*endif

*end nodes
*endif
*Set Cond materi_velocity_force_over_points *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_force *ibounda *\
*NodesNum *\
*if(cond(1,int))
-velx
*endif
*if(cond(2,int))
-vely
*endif
*if(cond(3,int))
-velz
*endif
bounda_time *ibounda *\
*if(cond(4,int)>=0)
*cond(4,real) *cond(5,real) *\
*endif
*if(cond(6,int)>=0)
*cond(6,real) *cond(7,real) *\
*endif
*if(cond(8,int)>=0)
*cond(8,real) *cond(9,real) *\
*endif
*if(cond(10,int)>=0)
*cond(10,real) *cond(11,real) *\
*endif

*end nodes
*endif
*Set Cond materi_displacement_unknown_over_points *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_unknown *ibounda *\
*NodesNum *\
*if(cond(1,int))
-disx
*endif
*if(cond(2,int))
-disy
*endif
*if(cond(3,int))
-disz
*endif
bounda_time *ibounda *\
*if(cond(4,int)>=0)
*cond(4,real) *cond(5,real) *\
*endif
*if(cond(6,int)>=0)
*cond(6,real) *cond(7,real) *\
*endif
*if(cond(8,int)>=0)
*cond(8,real) *cond(9,real) *\
*endif
*if(cond(10,int)>=0)
*cond(10,real) *cond(11,real) *\
*endif

*end nodes
*endif
*Set Cond materi_displacement_force_over_points *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_force *ibounda *\
*NodesNum *\
*if(cond(1,int))
-disx
*endif
*if(cond(2,int))
-disy
*endif
*if(cond(3,int))
-disz
*endif
bounda_time *ibounda *\
*if(cond(4,int)>=0)
*cond(4,real) *cond(5,real) *\
*endif
*if(cond(6,int)>=0)
*cond(6,real) *cond(7,real) *\
*endif
*if(cond(8,int)>=0)
*cond(8,real) *cond(9,real) *\
*endif
*if(cond(10,int)>=0)
*cond(10,real) *cond(11,real) *\
*endif

*end nodes
*endif
*Set var ibounda=0
*Set Cond condif_temperature_unknown_over_lines *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_unknown *ibounda *\
*NodesNum *\
-temp
bounda_time *ibounda *\
*if(cond(1,int)>=0)
*cond(1,real) *cond(2,real) *\
*endif
*if(cond(3,int)>=0)
*cond(3,real) *cond(4,real) *\
*endif
*if(cond(5,int)>=0)
*cond(5,real) *cond(6,real) *\
*endif
*if(cond(7,int)>=0)
*cond(7,real) *cond(8,real) *\
*endif
*if(cond(9,int)>=0)
*cond(9,real) *cond(10,real) *\
*endif

*end nodes
*endif
*Set Cond condif_temperature_force_over_lines *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_force *ibounda *\
*NodesNum *\
-temp
bounda_time *ibounda *\
*if(cond(1,int)>=0)
*cond(1,real) *cond(2,real) *\
*endif
*if(cond(3,int)>=0)
*cond(3,real) *cond(4,real) *\
*endif
*if(cond(5,int)>=0)
*cond(5,real) *cond(6,real) *\
*endif
*if(cond(7,int)>=0)
*cond(7,real) *cond(8,real) *\
*endif
*if(cond(9,int)>=0)
*cond(9,real) *cond(10,real) *\
*endif

*end nodes
*endif

*Set Cond groundflow_pressure_unknown_over_lines *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_unknown *ibounda *\
*NodesNum *\
-temp
bounda_time *ibounda *\
*if(cond(1,int)>=0)
*cond(1,real) *cond(2,real) *\
*endif
*if(cond(3,int)>=0)
*cond(3,real) *cond(4,real) *\
*endif
*if(cond(5,int)>=0)
*cond(5,real) *cond(6,real) *\
*endif
*if(cond(7,int)>=0)
*cond(7,real) *cond(8,real) *\
*endif
*if(cond(9,int)>=0)
*cond(9,real) *cond(10,real) *\
*endif

*end nodes
*endif
*Set Cond materi_velocity_unknown_over_lines *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_unknown *ibounda *\
*NodesNum *\
*if(cond(1,int))
-velx
*endif
*if(cond(2,int))
-vely
*endif
*if(cond(3,int))
-velz
*endif
bounda_time *ibounda *\
*if(cond(4,int)>=0)
*cond(4,real) *cond(5,real) *\
*endif
*if(cond(6,int)>=0)
*cond(6,real) *cond(7,real) *\
*endif
*if(cond(8,int)>=0)
*cond(8,real) *cond(9,real) *\
*endif
*if(cond(10,int)>=0)
*cond(10,real) *cond(11,real) *\
*endif

*end nodes
*endif
*Set Cond materi_velocity_force_over_lines *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_force *ibounda *\
*NodesNum *\
*if(cond(1,int))
-velx
*endif
*if(cond(2,int))
-vely
*endif
*if(cond(3,int))
-velz
*endif
bounda_time *ibounda *\
*if(cond(4,int)>=0)
*cond(4,real) *cond(5,real) *\
*endif
*if(cond(6,int)>=0)
*cond(6,real) *cond(7,real) *\
*endif
*if(cond(8,int)>=0)
*cond(8,real) *cond(9,real) *\
*endif
*if(cond(10,int)>=0)
*cond(10,real) *cond(11,real) *\
*endif

*end nodes
*endif
*Set Cond materi_displacement_unknown_over_lines *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_unknown *ibounda *\
*NodesNum *\
*if(cond(1,int))
-disx
*endif
*if(cond(2,int))
-disy
*endif
*if(cond(3,int))
-disz
*endif
bounda_time *ibounda *\
*if(cond(4,int)>=0)
*cond(4,real) *cond(5,real) *\
*endif
*if(cond(6,int)>=0)
*cond(6,real) *cond(7,real) *\
*endif
*if(cond(8,int)>=0)
*cond(8,real) *cond(9,real) *\
*endif
*if(cond(10,int)>=0)
*cond(10,real) *cond(11,real) *\
*endif

*end nodes
*endif
*Set Cond materi_displacement_force_over_lines *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_force *ibounda *\
*NodesNum *\
*if(cond(1,int))
-disx
*endif
*if(cond(2,int))
-disy
*endif
*if(cond(3,int))
-disz
*endif
bounda_time *ibounda *\
*if(cond(4,int)>=0)
*cond(4,real) *cond(5,real) *\
*endif
*if(cond(6,int)>=0)
*cond(6,real) *cond(7,real) *\
*endif
*if(cond(8,int)>=0)
*cond(8,real) *cond(9,real) *\
*endif
*if(cond(10,int)>=0)
*cond(10,real) *cond(11,real) *\
*endif

*end nodes
*endif
*Set var ibounda=0
*Set Cond condif_temperature_unknown_over_surfaces *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_unknown *ibounda *\
*NodesNum *\
-temp
bounda_time *ibounda *\
*if(cond(1,int)>=0)
*cond(1,real) *cond(2,real) *\
*endif
*if(cond(3,int)>=0)
*cond(3,real) *cond(4,real) *\
*endif
*if(cond(5,int)>=0)
*cond(5,real) *cond(6,real) *\
*endif
*if(cond(7,int)>=0)
*cond(7,real) *cond(8,real) *\
*endif
*if(cond(9,int)>=0)
*cond(9,real) *cond(10,real) *\
*endif

*end nodes
*endif
*Set Cond condif_temperature_force_over_surfaces *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_force *ibounda *\
*NodesNum *\
-temp
bounda_time *ibounda *\
*if(cond(1,int)>=0)
*cond(1,real) *cond(2,real) *\
*endif
*if(cond(3,int)>=0)
*cond(3,real) *cond(4,real) *\
*endif
*if(cond(5,int)>=0)
*cond(5,real) *cond(6,real) *\
*endif
*if(cond(7,int)>=0)
*cond(7,real) *cond(8,real) *\
*endif
*if(cond(9,int)>=0)
*cond(9,real) *cond(10,real) *\
*endif

*end nodes
*endif
*Set Cond groundflow_pressure_unknown_over_surfaces *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_unknown *ibounda *\
*NodesNum *\
-temp
bounda_time *ibounda *\
*if(cond(1,int)>=0)
*cond(1,real) *cond(2,real) *\
*endif
*if(cond(3,int)>=0)
*cond(3,real) *cond(4,real) *\
*endif
*if(cond(5,int)>=0)
*cond(5,real) *cond(6,real) *\
*endif
*if(cond(7,int)>=0)
*cond(7,real) *cond(8,real) *\
*endif
*if(cond(9,int)>=0)
*cond(9,real) *cond(10,real) *\
*endif

*end nodes
*endif
*Set Cond materi_velocity_unknown_over_surfaces *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_unknown *ibounda *\
*NodesNum *\
*if(cond(1,int))
-velx
*endif
*if(cond(2,int))
-vely
*endif
*if(cond(3,int))
-velz
*endif
bounda_time *ibounda *\
*if(cond(4,int)>=0)
*cond(4,real) *cond(5,real) *\
*endif
*if(cond(6,int)>=0)
*cond(6,real) *cond(7,real) *\
*endif
*if(cond(8,int)>=0)
*cond(8,real) *cond(9,real) *\
*endif
*if(cond(10,int)>=0)
*cond(10,real) *cond(11,real) *\
*endif

*end nodes
*endif

*Set Cond materi_velocity_force_over_surfaces *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_force *ibounda *\
*NodesNum *\
*if(cond(1,int))
-velx
*endif
*if(cond(2,int))
-vely
*endif
*if(cond(3,int))
-velz
*endif
bounda_time *ibounda *\
*if(cond(4,int)>=0)
*cond(4,real) *cond(5,real) *\
*endif
*if(cond(6,int)>=0)
*cond(6,real) *cond(7,real) *\
*endif
*if(cond(8,int)>=0)
*cond(8,real) *cond(9,real) *\
*endif
*if(cond(10,int)>=0)
*cond(10,real) *cond(11,real) *\
*endif

*end nodes
*endif
*Set Cond materi_displacement_unknown_over_surfaces *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_unknown *ibounda *\
*NodesNum *\
*if(cond(1,int))
-disx
*endif
*if(cond(2,int))
-disy
*endif
*if(cond(3,int))
-disz
*endif
bounda_time *ibounda *\
*if(cond(4,int)>=0)
*cond(4,real) *cond(5,real) *\
*endif
*if(cond(6,int)>=0)
*cond(6,real) *cond(7,real) *\
*endif
*if(cond(8,int)>=0)
*cond(8,real) *cond(9,real) *\
*endif
*if(cond(10,int)>=0)
*cond(10,real) *cond(11,real) *\
*endif

*end nodes
*endif
*Set Cond materi_displacement_force_over_surfaces *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_force *ibounda *\
*NodesNum *\
*if(cond(1,int))
-disx
*endif
*if(cond(2,int))
-disy
*endif
*if(cond(3,int))
-disz
*endif
bounda_time *ibounda *\
*if(cond(4,int)>=0)
*cond(4,real) *cond(5,real) *\
*endif
*if(cond(6,int)>=0)
*cond(6,real) *cond(7,real) *\
*endif
*if(cond(8,int)>=0)
*cond(8,real) *cond(9,real) *\
*endif
*if(cond(10,int)>=0)
*cond(10,real) *cond(11,real) *\
*endif

*end nodes
*endif
*Set var ibounda=0
*Set Cond condif_temperature_unknown_over_volumes *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_unknown *ibounda *\
*NodesNum *\
-temp
bounda_time *ibounda *\
*if(cond(1,int)>=0)
*cond(1,real) *cond(2,real) *\
*endif
*if(cond(3,int)>=0)
*cond(3,real) *cond(4,real) *\
*endif
*if(cond(5,int)>=0)
*cond(5,real) *cond(6,real) *\
*endif
*if(cond(7,int)>=0)
*cond(7,real) *cond(8,real) *\
*endif
*if(cond(9,int)>=0)
*cond(9,real) *cond(10,real) *\
*endif

*end nodes
*endif
*Set Cond condif_temperature_force_over_volumes *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_force *ibounda *\
*NodesNum *\
-temp
bounda_time *ibounda *\
*if(cond(1,int)>=0)
*cond(1,real) *cond(2,real) *\
*endif
*if(cond(3,int)>=0)
*cond(3,real) *cond(4,real) *\
*endif
*if(cond(5,int)>=0)
*cond(5,real) *cond(6,real) *\
*endif
*if(cond(7,int)>=0)
*cond(7,real) *cond(8,real) *\
*endif
*if(cond(9,int)>=0)
*cond(9,real) *cond(10,real) *\
*endif

*end nodes
*endif

*Set Cond groundflow_pressure_unknown_over_volumes *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_unknown *ibounda *\
*NodesNum *\
-temp
bounda_time *ibounda *\
*if(cond(1,int)>=0)
*cond(1,real) *cond(2,real) *\
*endif
*if(cond(3,int)>=0)
*cond(3,real) *cond(4,real) *\
*endif
*if(cond(5,int)>=0)
*cond(5,real) *cond(6,real) *\
*endif
*if(cond(7,int)>=0)
*cond(7,real) *cond(8,real) *\
*endif
*if(cond(9,int)>=0)
*cond(9,real) *cond(10,real) *\
*endif

*end nodes
*endif
*Set Cond materi_velocity_unknown_over_volumes *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_unknown *ibounda *\
*NodesNum *\
*if(cond(1,int))
-velx
*endif
*if(cond(2,int))
-vely
*endif
*if(cond(3,int))
-velz
*endif
bounda_time *ibounda *\
*if(cond(4,int)>=0)
*cond(4,real) *cond(5,real) *\
*endif
*if(cond(6,int)>=0)
*cond(6,real) *cond(7,real) *\
*endif
*if(cond(8,int)>=0)
*cond(8,real) *cond(9,real) *\
*endif
*if(cond(10,int)>=0)
*cond(10,real) *cond(11,real) *\
*endif

*end nodes
*endif
*Set Cond materi_velocity_force_over_volumes *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_force *ibounda *\
*NodesNum *\
*if(cond(1,int))
-velx
*endif
*if(cond(2,int))
-vely
*endif
*if(cond(3,int))
-velz
*endif
bounda_time *ibounda *\
*if(cond(4,int)>=0)
*cond(4,real) *cond(5,real) *\
*endif
*if(cond(6,int)>=0)
*cond(6,real) *cond(7,real) *\
*endif
*if(cond(8,int)>=0)
*cond(8,real) *cond(9,real) *\
*endif
*if(cond(10,int)>=0)
*cond(10,real) *cond(11,real) *\
*endif

*end nodes
*endif
*Set Cond materi_displacement_unknown_over_volumes *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_unknown *ibounda *\
*NodesNum *\
*if(cond(1,int))
-disx
*endif
*if(cond(2,int))
-disy
*endif
*if(cond(3,int))
-disz
*endif
bounda_time *ibounda *\
*if(cond(4,int)>=0)
*cond(4,real) *cond(5,real) *\
*endif
*if(cond(6,int)>=0)
*cond(6,real) *cond(7,real) *\
*endif
*if(cond(8,int)>=0)
*cond(8,real) *cond(9,real) *\
*endif
*if(cond(10,int)>=0)
*cond(10,real) *cond(11,real) *\
*endif

*end nodes
*endif
*Set Cond materi_displacement_force_over_volumes *nodes
*if(CondNumEntities>0)
*loop nodes *OnlyInCond
*Set var ibounda=ibounda+1
bounda_force *ibounda *\
*NodesNum *\
*if(cond(1,int))
-disx
*endif
*if(cond(2,int))
-disy
*endif
*if(cond(3,int))
-disz
*endif
bounda_time *ibounda *\
*if(cond(4,int)>=0)
*cond(4,real) *cond(5,real) *\
*endif
*if(cond(6,int)>=0)
*cond(6,real) *cond(7,real) *\
*endif
*if(cond(8,int)>=0)
*cond(8,real) *cond(9,real) *\
*endif
*if(cond(10,int)>=0)
*cond(10,real) *cond(11,real) *\
*endif

*end nodes
*endif
